[pkg-java] r6431 - trunk/eclipse/debian/patches

mkoch at alioth.debian.org mkoch at alioth.debian.org
Thu May 8 14:57:20 UTC 2008


Author: mkoch
Date: 2008-05-08 14:57:19 +0000 (Thu, 08 May 2008)
New Revision: 6431

Added:
   trunk/eclipse/debian/patches/eclipse-icu4j.dpatch
Log:
- add new patch to use system icu4j

Added: trunk/eclipse/debian/patches/eclipse-icu4j.dpatch
===================================================================
--- trunk/eclipse/debian/patches/eclipse-icu4j.dpatch	                        (rev 0)
+++ trunk/eclipse/debian/patches/eclipse-icu4j.dpatch	2008-05-08 14:57:19 UTC (rev 6431)
@@ -0,0 +1,67 @@
+#! /bin/sh -e
+##
+## DP: Debian specific patch
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+	patch $patch_opts -p0 < $0;;
+    -unpatch)
+	patch $patch_opts -p0 -R < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1;;
+esac
+exit 0
+
+ at DPATCH@
+--- /home/mkoch/Debian/packages/java/eclipse-3.3/test/eclipse-3.3.1.1/source-tree/plugins/org.eclipse.core.databinding/build.xml.orig	2008-02-28 22:48:51.000000000 +0100
++++ /home/mkoch/Debian/packages/java/eclipse-3.3/test/eclipse-3.3.1.1/source-tree/plugins/org.eclipse.core.databinding/build.xml	2008-02-28 22:50:03.000000000 +0100
+@@ -81,7 +81,7 @@
+ 		<delete dir="${temp.folder}/@dot.bin"/>
+ 		<mkdir dir="${temp.folder}/@dot.bin"/>
+ 		<path id="@dot.classpath">
+-			<pathelement path="../com.ibm.icu_3.6.1.v20070906.jar"/>
++			<pathelement path="/usr/share/java/icu4j-3.8.1.jar"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.core.runtime/@dot"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.core.runtime_3.3.100.v20070530/@dot"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.osgi/bin/"/>
+--- /home/mkoch/Debian/packages/java/eclipse-3.3/test/eclipse-3.3.1.1/source-tree/plugins/org.eclipse.ui.workbench/build.xml.orig	2008-02-28 23:09:27.000000000 +0100
++++ /home/mkoch/Debian/packages/java/eclipse-3.3/test/eclipse-3.3.1.1/source-tree/plugins/org.eclipse.ui.workbench/build.xml	2008-02-28 23:09:59.000000000 +0100
+@@ -90,7 +90,7 @@
+ 		<delete dir="${temp.folder}/@dot.bin"/>
+ 		<mkdir dir="${temp.folder}/@dot.bin"/>
+ 		<path id="@dot.classpath">
+-			<pathelement path="../com.ibm.icu_3.6.1.v20070906.jar"/>
++			<pathelement path="/usr/share/java/icu4j-3.8.1.jar"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.osgi/bin/"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.osgi_3.3.1.R33x_v20070828/bin/"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.osgi/@dot"/>
+--- /home/mkoch/Debian/packages/java/eclipse-3.3/test/eclipse-3.3.1.1/source-tree/plugins/org.eclipse.text/build.xml.orig	2008-02-28 23:15:16.000000000 +0100
++++ /home/mkoch/Debian/packages/java/eclipse-3.3/test/eclipse-3.3.1.1/source-tree/plugins/org.eclipse.text/build.xml	2008-02-28 23:15:48.000000000 +0100
+@@ -72,7 +72,7 @@
+ 		<delete dir="${temp.folder}/@dot.bin"/>
+ 		<mkdir dir="${temp.folder}/@dot.bin"/>
+ 		<path id="@dot.classpath">
+-			<pathelement path="../com.ibm.icu_3.6.1.v20070906.jar"/>
++			<pathelement path="/usr/share/java/icu4j-3.8.1.jar"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.core.commands/bin/"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.core.commands_3.3.0.I20070605-0010/bin/"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.core.commands/@dot"/>
+--- /home/mkoch/Debian/packages/java/eclipse-3.3/test/eclipse-3.3.1.1/source-tree/plugins/org.eclipse.debug.core/build.xml.orig	2008-02-29 07:46:59.000000000 +0100
++++ /home/mkoch/Debian/packages/java/eclipse-3.3/test/eclipse-3.3.1.1/source-tree/plugins/org.eclipse.debug.core/build.xml	2008-02-29 07:47:19.000000000 +0100
+@@ -72,7 +72,7 @@
+ 		<delete dir="${temp.folder}/@dot.bin"/>
+ 		<mkdir dir="${temp.folder}/@dot.bin"/>
+ 		<path id="@dot.classpath">
+-			<pathelement path="../com.ibm.icu_3.6.1.v20070906.jar"/>
++			<pathelement path="/usr/share/java/icu4j.jar"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.core.resources/@dot"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.core.resources_3.3.0.v20070604/@dot"/>
+ 			<pathelement path="${build.result.folder}/../org.eclipse.core.resources.compatibility/bin/"/>


Property changes on: trunk/eclipse/debian/patches/eclipse-icu4j.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-java-commits mailing list